Overview
Comment: | Added mtutils.csh |
---|---|
Downloads: | Tarball | ZIP archive | SQL archive |
Timelines: | family | ancestors | descendants | both | trunk |
Files: | files | file ages | folders |
SHA1: |
f412143bd22ce081bc2e6ab767490517 |
User & Date: | mrwellan on 2011-05-31 12:20:07 |
Other Links: | manifest | tags |
Context
2011-06-05
| ||
22:59 | Test of WARN support check-in: 6f9cfc22a7 user: mrwellan tags: trunk | |
2011-05-31
| ||
12:20 | Added mtutils.csh check-in: f412143bd2 user: mrwellan tags: trunk | |
2011-05-25
| ||
08:53 | env-overrides now carry over into the test environment. change to toppath before reading of megatest.config so any evaluated relative paths consistently start at toppath check-in: 5c3fd5b583 user: mrwellan tags: trunk | |
Changes
Modified megatest.scm from [93b8d4ec24] to [6cde811fe4].
︙ | ︙ | |||
479 480 481 482 483 484 485 | (print "Failed to setup, exiting") (exit 1))) (set! db (open-db)) (if (args:get-arg "-setlog") (test-set-log! db run-id test-name itemdat (args:get-arg "-setlog"))) (if (args:get-arg "-set-toplog") (test-set-toplog! db run-id test-name (args:get-arg "-set-toplog"))) | < < < < < < < < < < < < | 479 480 481 482 483 484 485 486 487 488 489 490 491 492 | (print "Failed to setup, exiting") (exit 1))) (set! db (open-db)) (if (args:get-arg "-setlog") (test-set-log! db run-id test-name itemdat (args:get-arg "-setlog"))) (if (args:get-arg "-set-toplog") (test-set-toplog! db run-id test-name (args:get-arg "-set-toplog"))) (if (args:get-arg "-runstep") (if (null? remargs) (begin (print "ERROR: nothing specified to run!") (sqlite3:finalize! db) (exit 6)) (let* ((stepname (args:get-arg "-runstep")) |
︙ | ︙ | |||
540 541 542 543 544 545 546 547 548 549 550 551 552 553 | (teststep-set-status! db run-id test-name stepname "end" exitstat itemdat (args:get-arg "-m")) (sqlite3:finalize! db) (if (not (eq? exitstat 0)) (exit 254)) ;; (exit exitstat) doesn't work?!? ;; open the db ;; mark the end of the test ))) (sqlite3:finalize! db) (set! *didsomething* #t)))) (if (args:get-arg "-showkeys") (let ((db #f) (keys #f)) (if (not (setup-for-run)) | > > > > > > > > > > > > | 528 529 530 531 532 533 534 535 536 537 538 539 540 541 542 543 544 545 546 547 548 549 550 551 552 553 | (teststep-set-status! db run-id test-name stepname "end" exitstat itemdat (args:get-arg "-m")) (sqlite3:finalize! db) (if (not (eq? exitstat 0)) (exit 254)) ;; (exit exitstat) doesn't work?!? ;; open the db ;; mark the end of the test ))) (if (args:get-arg "-test-status") (let ((newstatus (cond ((number? status) (if (equal? status 0) "PASS" "FAIL")) ((string->number status)(if (equal? (string->number status) 0) "PASS" "FAIL")) (else status)))) (test-set-status! db run-id test-name state newstatus itemdat (args:get-arg "-m"))) (if (and state status) (if (not (args:get-arg "-setlog")) (begin (print "ERROR: You must specify :state and :status with every call to -test-status\n" help) (sqlite3:finalize! db) (exit 6))))) (sqlite3:finalize! db) (set! *didsomething* #t)))) (if (args:get-arg "-showkeys") (let ((db #f) (keys #f)) (if (not (setup-for-run)) |
︙ | ︙ |
Added utils/mtutils.csh version [d975762c89].
> > > > > > > > > > > > > | 1 2 3 4 5 6 7 8 9 10 11 12 13 | alias mt_runstep 'set argv=(\!*); \ set stepname = $1;shift; \ megatest -runstep $stepname -logpro ${stepname}.logpro "$*" || exit $?' alias mt_laststep 'set argv=(\!*);set stepname = $1;shift; \ megatest -runstep $stepname -logpro ${stepname}.logpro "$*" ; \ set exitstatus = $? ; \ if ( $exitstatus == 0) megatest -test-status :state COMPLETED :status PASS ; \ if ( $exitstatus != 0) megatest -test-status :state COMPLETED :status FAIL ; \ if ( $exitstatus != 0) exit $exitstatus' |